hashsum(1)

NAME
hashsum - Compute and check message digests.

SYNOPSIS
hashsum [-b|--binary] [-c|--check] [--tag] [-t|--text] [-q|--quiet] [-s|--status] [--strict] [--ignore-missing] [-w|--warn] [-z|--zero] [--bits] [--no-names] [--md5] [--sha1] [--sha224] [--sha256] [--sha384] [--sha512] [--sha3] [--sha3-224] [--sha3-256] [--sha3-384] [--sha3-512] [--shake128] [--shake256] [--b2sum] [--b3sum] [-h|--help] [-V|--version] [file]

DESCRIPTION
Compute and check message digests.

OPTIONS

-b, --binary
    read in binary mode

-c, --check
    read hashsums from the FILEs and check them

--tag
    create a BSD-style checksum

-t, --text
    read in text mode (default)

-q, --quiet
    don't print OK for each successfully verified file

-s, --status
    don't output anything, status code shows success

--strict
    exit non-zero for improperly formatted checksum lines

--ignore-missing
    don't fail or report status for missing files

-w, --warn
    warn about improperly formatted checksum lines

-z, --zero
    end each output line with NUL, not newline

--bits <BITS>
    set the size of the output (only for SHAKE)

--no-names
    Omits filenames in the output (option not present in GNU/Coreutils)

--md5
    work with MD5

--sha1
    work with SHA1

--sha224
    work with SHA224

--sha256
    work with SHA256

--sha384
    work with SHA384

--sha512
    work with SHA512

--sha3
    work with SHA3

--sha3-224
    work with SHA3-224

--sha3-256
    work with SHA3-256

--sha3-384
    work with SHA3-384

--sha3-512
    work with SHA3-512

--shake128
    work with SHAKE128 using BITS for the output size

--shake256
    work with SHAKE256 using BITS for the output size

--b2sum
    work with BLAKE2

--b3sum
    work with BLAKE3

-h, --help
    Print help

-V, --version
    Print version

[file]

VERSION
v(uutils coreutils) 0.2.2